Subject: Re: [Roll] Moving forward with the protocol work

From: Mukul Goyal <[email-masked]>
Date: Thu, 30 Jul 2009 10:29:03 -0500 (CDT)

Zach

Nothing wrong in RPL doing the loop prevention the way it does it. But, should every LLN application be forced to deal with the loops this way only?? The foundation, or the framework, needs to be broad enough to allow different ways of doing things (e.g. dealing with loops) or not doing some things at all.

One protocol should not mean only one way of doing non-essential things such as dealing with loops. 

RPL is heavily coupled with DAGs, which I think is basically a heavy duty loop prevention mechanism. Please explain the other essential tasks that DAGs perform??

Thanks
Mukul

----- Original Message -----
From: "Zach Shelby" <[email-masked]>
To: "Mukul Goyal" <[email-masked]>
Cc: "ROLL WG" <[email-masked]>
Sent: Thursday, July 30, 2009 10:02:43 AM GMT -06:00 US/Canada Central
Subject: Re: [Roll] Moving forward with the protocol work

Hi,

Mukul Goyal wrote:
> Mischa,
> 
>> We should use this early design stage to come up with one solution - one 
> solution which is not necessarily optimum for all cases but for the 
> (e.g.) 95% quantile. The PHY guys learned to live with such an approach. 
> The MAC folks are getting there and we should take our chance now. 95% 
> means clearly to concentrate on the core issues, of which loop 
> detection/avoidance, p2p and security are somehow still open.
> 
> When you say a solution, it seems that you want one particular protocol. I am OK with RPL as a protocol even though it has deficiencies (such as 
P2P routing). But, the implication of giving it the WG status seems to 
be that RPL would be the _framework_ on which all future ROLL work would 
be based. I am not in support of the use of RPL as a framework unless it 
eliminates its current tight coupling with DAGs (a, rather heavy duty, 
loop prevention mechanism).

The goal of the WG from my understanding, is to produce *one* protocol 
in the current charter. RPL is definitely suitable as a starting point 
for that protocol (JP said foundation, not framework). I completely 
support this approach.

 From the industry point of view we need a single solution, which 
fulfills application requirements sufficiently and thus can be widely 
deployed commercially.

Regarding loop prevention, so what if RPL does a better job than is 
necessary? Does it break some requirement doing that? If so, we should 
fix it. There are other reasons for using DAGs than just loop prevention.

Zach

-- 
http://www.sensinode.com
http://zachshelby.org - My blog “On the Internet of Things”
Mobile: +358 40 7796297

Zach Shelby
Head of Research
Sensinode Ltd.
Kidekuja 2
88610 Vuokatti, FINLAND